Page MenuHomePhabricator

Upgrade Elastica to support elastic 5.5.x
Closed, ResolvedPublic

Description

It's probable that the version currently deployed is not compatible with elastic 5.5.x

Details

Related Gerrit Patches:
mediawiki/extensions/CirrusSearch : masterAdd support for Elastica 5.3.0
mediawiki/vendor : masterUpgrade Elastica to 5.3.0
mediawiki/extensions/Elastica : masterUpgrade to Elastica 5.3.0
mediawiki/extensions/CirrusSearch : masterDon't send empty arrays to addDocuments

Event Timeline

dcausse created this task.Aug 31 2017, 8:39 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
debt triaged this task as Medium priority.Aug 31 2017, 12:46 PM
debt moved this task from needs triage to Up Next on the Discovery-Search board.Aug 31 2017, 5:09 PM

Change 376511 had a related patch set uploaded (by DCausse; owner: DCausse):
[mediawiki/extensions/CirrusSearch@master] Don't send empty arrays to addDocuments

https://gerrit.wikimedia.org/r/376511

Change 376512 had a related patch set uploaded (by DCausse; owner: DCausse):
[mediawiki/extensions/Elastica@master] Upgrade to Elastica 5.3.0

https://gerrit.wikimedia.org/r/376512

Change 376511 merged by jenkins-bot:
[mediawiki/extensions/CirrusSearch@master] Don't send empty arrays to addDocuments

https://gerrit.wikimedia.org/r/376511

Change 376529 had a related patch set uploaded (by DCausse; owner: DCausse):
[mediawiki/vendor@master] Upgrade Elastica to 5.3.0

https://gerrit.wikimedia.org/r/376529

Change 376541 had a related patch set uploaded (by DCausse; owner: DCausse):
[mediawiki/extensions/CirrusSearch@master] Add support for Elastica 5.3.0

https://gerrit.wikimedia.org/r/376541

debt assigned this task to dcausse.Sep 7 2017, 5:35 PM

Change 376512 merged by jenkins-bot:
[mediawiki/extensions/Elastica@master] Upgrade to Elastica 5.3.0

https://gerrit.wikimedia.org/r/376512

This all looks ready to go once we start the server upgrades.

Change 376529 merged by EBernhardson:
[mediawiki/vendor@master] Upgrade Elastica to 5.3.0

https://gerrit.wikimedia.org/r/376529

Change 376541 merged by jenkins-bot:
[mediawiki/extensions/CirrusSearch@master] Add support for Elastica 5.3.0

https://gerrit.wikimedia.org/r/376541

debt closed this task as Resolved.Oct 6 2017, 7:43 PM